# java代码规范

原则上要求所有依赖需要满足以下要求：

1. springboot 项目父项目应为 hb_springboot_parent 项目，出门左转可以找到

2. 项目依赖版本应该与 hb_springboot_parent 相同，如果parent项目未包含依赖，需首先添加到parent项目。

如果遇到依赖冲突，需首先考虑解决，其次才考虑更换低版本依赖。

3. 要求所有最新项目与最新版本的 hb_springboot_parent 依赖版本相同

4. 原则上要求有源码的改写项目将依赖版本同步到 hb_springboot_parent 依赖版本，如果遇到特殊情况可以特殊考虑。

5. 对已完成且正常运行未扫描到漏洞的项目可以不考虑。
